<!-- FlexExtractor config file to generate the CMW publications file for PVSS -->
<flexextractor version="1.0" description="Config file to generate CWM publications">
	<input type="XML_XPATH" combine="true">
		<source name="cmwConfigs" parameter="/cmw/cmwConfigs/cmwConfig">
			<data name="configName" select="./@configName"/>
			<data name="domain" select="./domain/text()"/>
			<data name="project" select="./project/text()"/>
			<data name="system" select="./system/text()"/>
			<data name="fec" select="./fec/text()"/>
			<data name="accelerator" select="./accelerator/text()"/>
		</source>
		<source name="mergedCmwPublications" parameter="/cmw/mergedCmwPublications/mergedCmwPublication/cmwPublication">
			<data name="publicationAlias" select="./alias/text()"/>
			<data name="deviceType" select="./deviceType/text()"/>
			<data name="dpe" select="./dpe/text()"/>
			<data name="cmwConfig" select="./cmwConfig/text()"/>
			<data name="property" select="./property/text()"/>
			<data name="direction" select="./direction/text()"/>
			<data name="value" select="./value/text()"/>
			<data name="time" select="./time/text()"/>
			<data name="cmwDevice" select="./cmwDevice/text()"/>
		</source>
	</input>
	<output>

		<section condition="{cmwConfigs.configName} == {mergedCmwPublications.cmwConfig}" 
			head = "
						&lt;tr class=&quot;cmwItem&quot;&gt;
							&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;CMW Item: &lt;/td&gt;
							&lt;td style=&quot;padding-left:3px;padding-right:3px&quot; colspan=&quot;7&quot;>{mergedCmwPublications.cmwDevice}&lt;/td&gt;
						&lt;/tr&gt;" >
			<section
				head = "						
				&lt;tr class=&quot;publicationHeader&quot;&gt;
							&lt;td width=&quot;150&quot; align=&quot;center&quot;&gt;Dpe&lt;/td&gt;
							&lt;td width=&quot;150&quot; align=&quot;center&quot;&gt;Alias&lt;/td&gt;
							&lt;td width=&quot;100&quot; align=&quot;center&quot;&gt;Property&lt;/td&gt;
							&lt;td width=&quot;70&quot; align=&quot;center&quot;>Direction&lt;/td&gt;
							&lt;td width=&quot;70&quot; align=&quot;center&quot;>Value&lt;/td&gt;
							&lt;td width=&quot;70&quot; align=&quot;center&quot;>Time&lt;/td&gt;
						&lt;/tr&gt;"  
			
	 generate="		
	 &lt;tr&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{mergedCmwPublications.dpe}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{mergedCmwPublications.publicationAlias}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{mergedCmwPublications.property}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{mergedCmwPublications.direction}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{mergedCmwPublications.value}&lt;/td&gt;
&lt;td style=&quot;padding-left:3px;padding-right:3px&quot;&gt;{mergedCmwPublications.time}&lt;/td&gt;&lt;/tr&gt;"/>
		</section>
	</output>
</flexextractor>